import { SimpleLocalIntegration } from '../../core/index.js';
import { DanfossAirConfigFlow } from './danfoss_air.classes.configflow.js';
import { createDanfossAirDiscoveryDescriptor } from './danfoss_air.discovery.js';
import type { IDanfossAirConfig } from './danfoss_air.types.js';
import { danfossAirDomain, danfossAirProfile } from './danfoss_air.types.js';

export class DanfossAirIntegration extends SimpleLocalIntegration<IDanfossAirConfig> {
  public readonly domain = danfossAirDomain;
  public readonly discoveryDescriptor = createDanfossAirDiscoveryDescriptor();
  public readonly configFlow = new DanfossAirConfigFlow();

  constructor() {
    super(danfossAirProfile);
  }
}

export class HomeAssistantDanfossAirIntegration extends DanfossAirIntegration {}
